Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 14 Feb 2021 03:52:05 +0000 (UTC)

Hi Manish Kumar,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have not yet received my refund of two items returned 2 months back despite repetitive followup on your customer care numbers I am really fedup following up and writing to u last time I sincerely hope u take necessary action at the soonest to restore trust in your brand and your commitment towards customer satisfaction / App Version: 6.41 / Android Version: 10 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2096594